
local _, YBL = ...

YBL.MainOption = {
	type="group",
	width = 'fill',
	handler = YBL,
	childGroups = 'tree',
	args = {},
	plugins = {
		filters = {}
	},
}
YBL.filterOptions = YBL.MainOption.plugins.filters

local IOFchild = CreateFrame('frame', nil, InterfaceOptionsFrame)
IOFchild:SetScript("OnShow", function()
	for k, filter in pairs(YBL.filters) do
		if filter.UpdateOptions then
			filter:UpdateOptions()
		end
	end
end)
IOFchild:SetScript("OnHide", function()
	for k, filter in pairs(YBL.filters) do
		filter:ResetFilter()
	end
end)

YBL.optframe = {}
LibStub("AceConfig-3.0"):RegisterOptionsTable('YBL', YBL.MainOption)
YBL.optframe.YBL = LibStub("AceConfigDialog-3.0"):AddToBlizOptions('YBL', 'YssBossLoot')
-- function addapted from the RegisterModuleOptions function in Mapster
function YBL:RegisterModuleOptions(name, optionTbl, displayName)
	local cname = "YBL"..name
	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable(cname, optionTbl)
	self.optframe[name] = LibStub("AceConfigDialog-3.0"):AddToBlizOptions(cname, displayName, "YssBossLoot")
end


